1. 4. Webhooks
Yamm
  • Partner API
    • 1. Authentication
      • Issue Access Token
    • 2. Catalog
      • List Products
      • Get Product
    • 3. Returns
      • List Return Reasons
      • Create Return Reason
      • Upload Return Attachment
      • Create Return
      • List Returns
      • Get Return
      • Approve Return
      • Reject Return
      • List Resolution Methods
      • Inspect Return
      • Cancel Return
      • Get Return Timeline
    • 4. Webhooks
      • Webhook Meta
        GET
      • List Webhooks
        GET
      • Create Webhook
        POST
      • Get Webhook
        GET
      • Update Webhook
        PUT
      • Delete Webhook
        DELETE
      • Rotate Webhook Secret
        POST
      • Send Test Webhook
        POST
      • List Webhook Deliveries
        GET
      • Get Webhook Delivery
        GET
      • Retry Webhook Delivery
        POST
    • 5. Store & Orders
      • Get Store
      • List Orders
      • Get Order
  1. 4. Webhooks

Get Webhook Delivery

GET
/partner/v1/webhooks/{id}/deliveries/{delivery_id}
One delivery attempt with the request and response captured. Returns 404 if the delivery does not belong to the endpoint. Scope: webhooks:manage.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠404Not found
🟠401Unauthorized
🟠403Forbidden
🟠429Too Many Requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/partner/v1/webhooks//deliveries/' \
--header 'X-Store-Id: {{partner_store_id}}' \
--header 'Accept-Language: en' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "success": true,
    "message": "string",
    "data": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "endpoint_id": "e9ce0d4f-d433-423d-9497-4c000544106c",
        "event_id": "a7a26ff2-e851-45b6-9634-d595f45458b7",
        "event_type": "string",
        "event_payload": {},
        "status": "string",
        "attempt_count": 0,
        "max_attempts": 0,
        "http_status_code": 0,
        "request_headers": {},
        "request_body": "string",
        "response_headers": {},
        "response_body": "string",
        "error_message": "string",
        "response_time_ms": 0,
        "next_retry_at": "2019-08-24T14:15:22.123Z",
        "delivered_at": "2019-08-24T14:15:22.123Z",
        "created_at": "2019-08-24T14:15:22.123Z",
        "updated_at": "2019-08-24T14:15:22.123Z"
    }
}
Previous
List Webhook Deliveries
Next
Retry Webhook Delivery
Built with